packages: ntp/ntpdate-wrapper (NEW)=?UTF-8?Q?=20?=- ntpdate wrapper for cron and systemd
baggins
baggins at pld-linux.org
Tue Feb 14 17:55:01 CET 2012
Author: baggins Date: Tue Feb 14 16:55:01 2012 GMT
Module: packages Tag: HEAD
---- Log message:
- ntpdate wrapper for cron and systemd
---- Files affected:
packages/ntp:
ntpdate-wrapper (NONE -> 1.1) (NEW)
---- Diffs:
================================================================
Index: packages/ntp/ntpdate-wrapper
diff -u /dev/null packages/ntp/ntpdate-wrapper:1.1
--- /dev/null Tue Feb 14 17:55:01 2012
+++ packages/ntp/ntpdate-wrapper Tue Feb 14 17:54:56 2012
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+# Source ntp configuration
+. /etc/sysconfig/ntpdate
+
+/usr/sbin/ntpdate -s -U ntp $NTPDATE_OPTIONS $NTPDATE_SERVERS
+RETVAL=$?
+
+if [ $RETVAL -eq 0 -a "$SYNC_HWCLOCK" = "yes"]; then
+ /sbin/hwclock --systohc
+ RETVAL=$?
+fi
+exit $RETVAL
================================================================
More information about the pld-cvs-commit
mailing list